﻿Imports Microsoft.TeamFoundation.Client
Imports System.Management.Automation

<Cmdlet(VerbsCommon.Remove, TeamSystemNouns.RegisteredServer, ConfirmImpact:=ConfirmImpact.Medium, SupportsShouldProcess:=True)> _
Public Class RemoveRegisteredServerCmdlet
    Inherits Cmdlet

    Public Sub New()
    End Sub

    Private _name As String

    <Parameter(Position:=0, Mandatory:=True, ValueFromPipelineByPropertyName:=True), ValidateNotNullOrEmpty()> _
    Public Property Name() As String
        Get
            Return _name
        End Get
        Set(ByVal value As String)
            _name = value
        End Set
    End Property

    Protected Overrides Sub ProcessRecord()
        If ShouldProcess(Name) Then
            RegisteredServers.RemoveServer(Name)
        End If
    End Sub
End Class